const mongoose = require("mongoose");
const Schema = mongoose.Schema;

// Schema/Blueprint
const productSchema = new Schema({

	name: {
    type: String,
    required: true,
  },

  description: {
    type: String,
    required: true,
  },

   price : {
    type: Number,
    required: true,
  },

  isActive: {
    type: Boolean,
    default: true, // Assuming new users are not admins by default
  },

  createdOn:{
		type:Date,
	default: new Date()
	},

  
});
module.exports = mongoose.model('Product', productSchema);